/* ATOM IMPORTS */
@import "atoms/logo-qU2xW51.css";
@import "atoms/nav_link-hWkiKlb.css";
@import "atoms/button-CJsaIuY.css";

/* MOLECULE IMPORTS */
@import "molecules/search_bar-SX9IGom.css";
@import "molecules/pagination-QnBW7ce.css";
@import "molecules/modal-DtPSj8j.css";
@import "molecules/quantity_selector-hZHHhs4.css";
@import "molecules/mini_cart-qi80f9j.css";

/* ORGANISM IMPORTS */
@import "organisms/navbar-Oa7VRzP.css";
@import "organisms/master_navbar-1tWa-Uq.css";
@import "organisms/catalogue_sidebar-y9guGJa.css";
@import "molecules/product_card-MVlC6uW.css";
@import "organisms/hero-YMSajlq.css";
@import "organisms/footer-aQjcbKK.css";

/* LAYOUT IMPORTS */
@import "layouts/front-k9lu9Wh.css";

/* PAGE IMPORTS */
@import "pages/catalogue-eywjjP0.css";
@import "pages/product_detail-Yqw4WQH.css";
@import "pages/cart-nVuwM0D.css";
@import "pages/legal-GGMolSB.css";
@import "pages/realisations-ZDYA4P7.css";

/* Design System Tokens */
:root {
    --color-primary: #252f3b;
    /* Deep Navy */
    --color-secondary: #1e4b68;
    /* Industrial Blue */
    --color-accent: #ff3e3e;
    /* Red */
    --color-bg-dark: #0f172a;
    /* Dark Slate */
    --color-bg-light: #f8fafc;
    /* Ghost White */
    --color-text-main: #18181b;
    --color-text-muted: #71717a;
    --color-border: #e4e4e7;

    --shadow-sm: 0 1px 2px 0 rgb(0 0 0 / 0.05);
    --shadow-md: 0 4px 6px -1px rgb(0 0 0 / 0.1);

    --radius-md: 0.5rem;

    /* Fixed Heights */
    --navbar-height: 82px;

    /* Typography */
    --font-main: 'Inter', sans-serif;
    --font-display: 'Rajdhani', sans-serif;
}

/* 💠 Atomic Layouts & Basic Styles */
*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    font-size: 100%;
}

@media (max-width: 768px) {
    html {
        font-size: 80%;
    }
}

body {
    background-color: var(--color-bg-light);
    color: var(--color-text-main);
    font-family: var(--font-main);
    line-height: 1.5;
    margin: 0;
    padding: 0;
}

/* Base link styles */
a {
    color: inherit;
    text-decoration: none;
}

/* Heading styles */
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--font-display);
    color: var(--color-primary);
    font-weight: 700;
    margin-top: 0;
}

h2 {
    font-size: 1.875rem;
    margin-bottom: 2rem;
}
